Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003658TestLinkDatabase Postgrespublic2010-08-06 09:092011-02-06 17:57
ReporterSjoerd Lawende 
Assigned Tofman 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9.1 (bug fixing) 
Summary0003658: [fix included] Update of db schema blocks update
DescriptionGood morning(*)!

 When updating from 1.8.5, I received some errors from the postgres backend.

 I marked severity as 'block' because it blocks the upgrade.


 The first error involved a table that should be called 'inventory', but is called 'infrastructure' in the sql-script that updates the db.

 The other was the result of an ADD COLUMN with a NOT NULL restriction.
This fails on postgres when there are already some rows in the table. This is because: first a field will be created with a NULL-value in it, then the NOT NULL-restriction will be added which subsequently fails because there is a NULL value in the column :)


 See 'Steps To Reproduce' to reproduce error.
 See 'Additional Information' for a recipe for applying the patch.

Hope this helps!


kind regards,
sjoerd


(*) please correct for timezone
Steps To ReproducePerform upgrade from 1.8.5 to 1.9.5b. Error will appear in web interface.

Additional InformationTo apply the patch:

 - cd into the testlink-directory so that directory 'install' is in your current working directory
 - copy the attached patch file to this directory
  - excute:
      patch install/sql/alter_tables/1.9/postgres/DB.1.3/step1/db_schema_update.sql < postgres_db_schema_update.sql.patch
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespatch file icon postgres_db_schema_update.sql.patch [^] (2,183 bytes) 2010-08-06 09:09 [Show Content]

- Relationships

-  Notes
(0010811)
fman (administrator)
2010-08-07 13:09

Ok, thanks

- Issue History
Date Modified Username Field Change
2010-08-06 09:09 Sjoerd Lawende New Issue
2010-08-06 09:09 Sjoerd Lawende File Added: postgres_db_schema_update.sql.patch
2010-08-07 13:09 fman Note Added: 0010811
2011-02-06 17:57 fman Status new => closed
2011-02-06 17:57 fman Assigned To => fman
2011-02-06 17:57 fman Resolution open => fixed
2011-02-06 17:57 fman Fixed in Version => 1.9.1 (bug fixing)



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker